<?php
/*
Esta clase PHP es software libre: puede redistribuirla y/o modificarla
bajo los términos de la Licencia Pública General de GNU según lo publicado por
la Free Software Foundation, ya sea la versión 3 de la Licencia, o
(a su opción) cualquier versión posterior.

Sin embargo, la cabecera de la licencia, los derechos de autor y los créditos del autor
no deben ser modificados de ninguna forma y siempre deben ser mostrados.

Esta clase se distribuye con la esperanza de que sea útil,
pero SIN NINGUNA GARANTÍA; sin incluso la garantía implícita de
COMERCIABILIDAD o APTITUD PARA UN PROPÓSITO PARTICULAR. Vea la
Licencia Pública General de GNU para más detalles.

@autor geoPlugin (gp_support@geoplugin.com)
@copyright Copyright geoPlugin (gp_support@geoplugin.com)
$version 1.2

Esta clase PHP utiliza el Webservice PHP de http://www.geoplugin.com/ para geolocalizar direcciones IP

La ubicación geográfica de la dirección IP (visitante) y localizar la moneda (símbolo, código y tipo de cambio) se devuelven.

Vea http://www.geoplugin.com/webservices/php para más detalles específicos de este servicio gratuito
*/

class geoPlugin {
	
	//el servidor de geoPlugin
	var $host = 'http://www.geoplugin.net/php.gp?ip={IP}&base_currency={CURRENCY}&lang={LANG}';
		
	//la moneda base por defecto
	var $currency = 'USD';
	
	//el idioma por defecto
	var $lang = 'es';
	/*
	idiomas soportados:
	de
	en
	es
	fr
	ja
	pt-BR
	ru
	zh-CN
	*/

	//inicializar las variables de geoPlugin
	var $ip = null;
	var $city = null;
	var $region = null;
	var $regionCode = null;
	var $regionName = null;
	var $dmaCode = null;
	var $countryCode = null;
	var $countryName = null;
	var $inEU = null;
	var $euVATrate = false;
	var $continentCode = null;
	var $continentName = null;
	var $latitude = null;
	var $longitude = null;
	var $locationAccuracyRadius = null;
	var $timezone = null;
	var $currencyCode = null;
	var $currencySymbol = null;
	var $currencyConverter = null;
	
	function __construct() {

	}
	
	function locate($ip = null) {
		
		global $_SERVER;
		
		if (is_null($ip)) {
			$ip = $_SERVER['REMOTE_ADDR'];
		}
		
		$host = str_replace('{IP}', $ip, $this->host);
		$host = str_replace('{CURRENCY}', $this->currency, $host);
		$host = str_replace('{LANG}', $this->lang, $host);
		
		$response = $this->fetch($host);
		
		$data = unserialize($response);
		
		//establecer las variables de geoPlugin
		$this->ip = $ip;
		$this->city = $data['geoplugin_city'];
		$this->region = $data['geoplugin_region'];
		$this->regionCode = $data['geoplugin_regionCode'];
		$this->regionName = $data['geoplugin_regionName'];
		$this->dmaCode = $data['geoplugin_dmaCode'];
		$this->countryCode = $data['geoplugin_countryCode'];
		$this->countryName = $data['geoplugin_countryName'];
		$this->inEU = $data['geoplugin_inEU'];
		$this->euVATrate = $data['euVATrate'];
		$this->continentCode = $data['geoplugin_continentCode'];
		$this->continentName = $data['geoplugin_continentName'];
		$this->latitude = $data['geoplugin_latitude'];
		$this->longitude = $data['geoplugin_longitude'];
		$this->locationAccuracyRadius = $data['geoplugin_locationAccuracyRadius'];
		$this->timezone = $data['geoplugin_timezone'];
		$this->currencyCode = $data['geoplugin_currencyCode'];
		$this->currencySymbol = $data['geoplugin_currencySymbol'];
		$this->currencyConverter = $data['geoplugin_currencyConverter'];
	}
	
	function fetch($host) {

		if (function_exists('curl_init')) {
						
			//usar cURL para obtener datos
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $host);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_USERAGENT, 'geoPlugin PHP Class v1.1');
			$response = curl_exec($ch);
			curl_close($ch);
			
		} else if (ini_get('allow_url_fopen')) {
			
			//alternativa con fopen()
			$response = file_get_contents($host, 'r');
			
		} else {

			trigger_error('Error en la clase geoPlugin: No se pueden recuperar datos. Compile PHP con soporte cURL o habilite allow_url_fopen en php.ini ', E_USER_ERROR);
			return;
		
		}
		
		return $response;
	}
	
	function convert($amount, $float=2, $symbol=true) {
		
		//convertir fácilmente cantidades a la moneda geolocalizada.
		if (!is_numeric($this->currencyConverter) || $this->currencyConverter == 0) {
			trigger_error('Aviso en la clase geoPlugin: currencyConverter no tiene valor.', E_USER_NOTICE);
			return $amount;
		}
		if (!is_numeric($amount)) {
			trigger_error('Advertencia en la clase geoPlugin: La cantidad pasada a geoPlugin::convert no es numérica.', E_USER_WARNING);
			return $amount;
		}
		if ($symbol === true) {
			return $this->currencySymbol . round(($amount * $this->currencyConverter), $float);
		} else {
			return round(($amount * $this->currencyConverter), $float);
		}
	}
	
	function nearby($radius=10, $limit=null) {

		if (!is_numeric($this->latitude) || !is_numeric($this->longitude)) {
			trigger_error('Advertencia en la clase geoPlugin: Valores incorrectos de latitud o longitud.', E_USER_NOTICE);
			return array(array());
		}
		
		$host = "http://www.geoplugin.net/extras/nearby.gp?lat=" . $this->latitude . "&long=" . $this->longitude . "&radius={$radius}";
		
		if (is_numeric($limit))
			$host .= "&limit={$limit}";
			
		return unserialize($this->fetch($host));
	}
}
?>
