<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Conectar a la base de datos
$servername = "localhost";
$username = "pantherplus_finger";
$password = "P@nther.2023";
$dbname = "pantherplus_finger";

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Conexión fallida: " . $conn->connect_error);
}

$input = file_get_contents('php://input');
$data = json_decode($input, true);

if (!isset($data['visitorId']) || !isset($data['requestId']) || !isset($data['userAgent'])) {
    exit("Los datos no están completos.");
}

$visitorId = $conn->real_escape_string($data['visitorId']);
$requestId = $conn->real_escape_string($data['requestId']);
$userAgent = $conn->real_escape_string($data['userAgent']);

require_once '/home/pantherplus/public_html/panther/wakanda/vendor/autoload.php';

use Fingerprint\ServerAPI\Api\FingerprintApi;
use Fingerprint\ServerAPI\Configuration;
use GuzzleHttp\Client;

$config = Configuration::getDefaultConfiguration("ylasgF1zbFDEtUQqMkGg");
$client = new FingerprintApi(new Client(), $config);

try {
    $response = $client->getEvent($requestId);
    $json = json_decode($response->__toString());

    $bloqueo = false;
    $cual = "Bot detectado";

    // Bloquear todos los bots
    $umbral = 0.0; // Establecer umbral en 0 para bloquear cualquier bot detectado

    // Verificar si es el User-Agent de WhatsApp o AhrefsBot
    if (strpos($userAgent, 'WhatsApp/2.23.20.0') !== false) {
        $bloqueo = true;
        $cual = "WhatsApp/2.23.20.0 detectado por User-Agent";
    }
    if (strpos($userAgent, 'AhrefsBot') !== false) {
        $bloqueo = true;
        $cual = "AhrefsBot detectado por User-Agent";
    }

    // Verificar todas las detecciones de FingerprintJS
    if (isset($json->bot->automationTool) && $json->bot->automationTool->status == "processed" && $json->bot->automationTool->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint AutomationTool - " . $json->bot->automationTool->type;
    }
    if (isset($json->bot->browserSpoofing) && $json->bot->browserSpoofing->status == "processed" && $json->bot->browserSpoofing->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint BrowserSpoofing - " . $json->bot->browserSpoofing->type;
    }
    if (isset($json->bot->searchEngine) && $json->bot->searchEngine->status == "processed" && $json->bot->searchEngine->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint searchEngine - " . $json->bot->searchEngine->type;
    }
    if (isset($json->vm) && $json->vm->status == "processed" && $json->vm->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint VM - " . $json->vm->type;
    }

    // Guardar el bloqueo en la base de datos
    $stmt = $conn->prepare("INSERT INTO bloqueos (visitorId, requestId, bloqueo, tipo_bloqueo) VALUES (?, ?, ?, ?)");
    $bloqueo_status = $bloqueo ? 1 : 0;
    $tipo_bloqueo = $bloqueo ? $cual : 'ninguno';

    $stmt->bind_param("ssis", $visitorId, $requestId, $bloqueo_status, $tipo_bloqueo);
    $stmt->execute();
    $stmt->close();

    if ($bloqueo) {
        // Enviar notificación a Telegram
        $msj = ' 
🚨 <b> ANTI BOT </b> 🚨
===========================
<b> BOT BLOQUEADO</b> 
'.$visitorId.'
'.$userAgent.'
'.$cual .'
===========================
⚡ <b>PANTHER SERVER 2K24⚡ </b>
===========================
';

        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, "https://api.telegram.org/bot7015983875:AAHCh-E5HvJoHA2hCOAYAwbIDeqsB9_Chd4/sendMessage");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, "{\"chat_id\": \"997315520\", \"text\": \"".$msj."\", \"parse_mode\": \"HTML\"}");

        $headers = array();
        $headers[] = 'Content-Type: application/json';
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

        $result = curl_exec($ch);
        if (curl_errno($ch)) {
            echo 'Error:' . curl_error($ch);
        }
        curl_close($ch);
    }

    echo $bloqueo ? "0Bloqueo: " . $cual : "1";
} catch (Exception $e) {
    error_log("Error al obtener evento: " . $e->getMessage());
    echo "Error al obtener evento: " . $e->getMessage();
}

$conn->close();
?>
